AbstractExpectationCollection
Date: 2015-09-15

org.jmock.expectation

## Class AbstractExpectationCollection

- java.lang.Object
- - org.jmock.expectation.AbstractExpectation
  - - org.jmock.expectation.AbstractExpectationCollection

- All Implemented Interfaces:
    Verifiable, Expectation, ExpectationCollection
  Direct Known Subclasses:
    ExpectationList, ExpectationSet

      public abstract class AbstractExpectationCollection
      extends AbstractExpectation
      implements ExpectationCollection

- - ### Field Summary

    - ### Fields inherited from class org.jmock.expectation.AbstractExpectation

      `myFailureModeIsImmediate, myName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExpectationCollection(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActual(int actualItem)`
    `void` | `addActual(long actual)`
    `void` | `addActual(java.lang.Object actualItem)`
    `void` | `addActualMany(java.util.Enumeration items)`
    `void` | `addActualMany(java.util.Iterator items)`
    `void` | `addActualMany(java.lang.Object[] items)`
    `void` | `addExpected(int expectedItem)`
    `void` | `addExpected(long expected)`
    `void` | `addExpected(java.lang.Object expectedItem)`
    `void` | `addExpectedMany(java.util.Enumeration expectedItems)`
    `void` | `addExpectedMany(java.util.Iterator expectedItems)`
    `void` | `addExpectedMany(java.lang.Object[] expectedItems)`
    `protected abstract void` | `checkImmediateValues(java.lang.Object actualItem)`
    `void` | `clearActual()`
    `protected void` | `clearExpectation()`
    `protected abstract java.util.Collection` | `getActualCollection()`
    `protected abstract java.util.Collection` | `getExpectedCollection()`
    `void` | `setExpectNothing()` Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error.
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class org.jmock.expectation.AbstractExpectation

      `assertEquals, assertEquals, hasExpectations, setFailOnVerify, setHasExpectations, shouldCheckImmediately`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jmock.expectation.Expectation

      `hasExpectations, setFailOnVerify`

- - ### Constructor Detail

    - #### AbstractExpectationCollection

          public AbstractExpectationCollection(java.lang.String name)

  - ### Method Detail

    - #### addActual

          public void addActual(java.lang.Object actualItem)

      Specified by:
        `addActual` in interface `ExpectationCollection`

    - #### addActual

          public void addActual(int actualItem)

    - #### addActualMany

          public void addActualMany(java.lang.Object[] items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addActualMany

          public void addActualMany(java.util.Enumeration items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addActualMany

          public void addActualMany(java.util.Iterator items)

      Specified by:
        `addActualMany` in interface `ExpectationCollection`

    - #### addExpected

          public void addExpected(int expectedItem)

    - #### addExpected

          public void addExpected(java.lang.Object expectedItem)

      Specified by:
        `addExpected` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.lang.Object[] expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.util.Enumeration expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### addExpectedMany

          public void addExpectedMany(java.util.Iterator expectedItems)

      Specified by:
        `addExpectedMany` in interface `ExpectationCollection`

    - #### checkImmediateValues

          protected abstract void checkImmediateValues(java.lang.Object actualItem)

    - #### clearActual

          public void clearActual()

      Specified by:
        `clearActual` in class `AbstractExpectation`

    - #### clearExpectation

          protected void clearExpectation()

    - #### getActualCollection

          protected abstract java.util.Collection getActualCollection()

    - #### getExpectedCollection

          protected abstract java.util.Collection getExpectedCollection()

    - #### setExpectNothing

          public void setExpectNothing()

      Description copied from interface: `Expectation`
      Tell the object to expect nothing to happen to it, perhaps because the test is exercising the handling of an error. The Expectation will fail if any actual values are set.

      Note that this is not the same as not setting any expectations, in which case verify() will do nothing.
      Specified by:
        `setExpectNothing` in interface `Expectation`

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.
      Specified by:
        `verify` in interface `Verifiable`
      Specified by:
        `verify` in class `AbstractExpectation`

    - #### addActual

          public void addActual(long actual)

      Specified by:
        `addActual` in interface `ExpectationCollection`

    - #### addExpected

          public void addExpected(long expected)

      Specified by:
        `addExpected` in interface `ExpectationCollection`